View source Improve this doc

# `$interpolateProvider`
service in module `ng`

## Description

Used for configuring the interpolation markup. Defaults to `{{` and `}}`.

## Methods

- ### endSymbol(value)

  Symbol to denote the end of expression in the interpolated string. Defaults to `}}`.

  ##### Parameters

  Param | Type | Details
  --- | --- | ---
  value (optional) | string | new value to set the ending symbol to.

  ##### Returns

  string|self | Returns the symbol when used as getter and self if used as setter.

- ### startSymbol(value)

  Symbol to denote start of expression in the interpolated string. Defaults to `{{`.

  ##### Parameters

  Param | Type | Details
  --- | --- | ---
  value (optional) | string | new value to set the starting symbol to.

  ##### Returns

  string|self | Returns the symbol when used as getter and self if used as setter.

## Example

#### Source

## Demo